> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rebase.energy/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Site Capacity

> Get the capacity of a site for a given date range



## OpenAPI

````yaml get /platform/v2/sites/{site_id}/capacity
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /platform/v2/sites/{site_id}/capacity:
    get:
      tags:
        - Site
      summary: Get Site Capacity
      description: Get the capacity of a site for a given date range
      operationId: get_site_capacity_platform_v2_sites__site_id__capacity_get
      parameters:
        - name: site_id
          in: path
          required: true
          schema:
            type: string
            title: Site Id
        - name: freq
          in: query
          required: false
          schema:
            enum:
              - 1h
              - 60min
              - 30min
              - 15min
              - 5min
            type: string
            default: 1h
            title: Freq
        - name: start_date
          in: query
          required: true
          schema:
            type: string
            format: date-time
            title: Start Date
        - name: end_date
          in: query
          required: true
          schema:
            type: string
            format: date-time
            title: End Date
        - name: tz
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Tz
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SiteCapacityResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationResponse'
      security:
        - APIKeyHeader: []
components:
  schemas:
    SiteCapacityResponse:
      properties:
        meta:
          $ref: '#/components/schemas/SiteCapacityMeta'
        data:
          $ref: '#/components/schemas/SiteCapacityData'
      type: object
      required:
        - meta
        - data
      title: SiteCapacityResponse
    ValidationResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorItem'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ValidationResponse
    SiteCapacityMeta:
      properties:
        site_name:
          type: string
          title: Site Name
          example: My site
        site_id:
          type: string
          title: Site Id
          example: 48302759-0371-4d54-9ba1-506708b576fe
        unit:
          type: string
          enum:
            - kW
            - MW
          title: Unit
          example: kW
      type: object
      required:
        - site_name
        - site_id
        - unit
      title: SiteCapacityMeta
    SiteCapacityData:
      properties:
        valid_time:
          items:
            type: string
            format: date-time
          type: array
          title: Valid Time
          example:
            - '2026-01-01T00:00:00Z'
            - '2026-01-01T01:00:00Z'
            - '2026-01-01T02:00:00Z'
            - '2026-01-01T03:00:00Z'
            - '2026-01-01T04:00:00Z'
            - '2026-01-01T05:00:00Z'
            - '2026-01-01T06:00:00Z'
            - '2026-01-01T07:00:00Z'
            - '2026-01-01T08:00:00Z'
            - '2026-01-01T09:00:00Z'
        value:
          items:
            type: number
          type: array
          title: Value
          example:
            - 6000
            - 6000
            - 6000
            - 6000
            - 6000
            - 6000
            - 6000
            - 6000
            - 6000
            - 6000
      type: object
      required:
        - valid_time
        - value
      title: SiteCapacityData
    ErrorItem:
      properties:
        field:
          type: string
          title: Field
        message:
          type: string
          title: Message
      type: object
      required:
        - field
        - message
      title: ErrorItem
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: >-
        Your API key. This is required to access our API programatically. You
        can view your API key in the Rebase dashboard.
      in: header
      name: Authorization

````